﻿namespace RFClassGraphExt
{
    class Thread
    {
        public Thread()
        {
            functions = new System.Collections.Generic.List<uint>();
        }

        public void Enter(uint functionID)
        {
            functions.Add(functionID);
        }

        public void Leave(uint functionID)
        {
            functions.RemoveAt(functions.Count - 1);
        }

        public uint? GetCurrentFunction()
        {
            if (functions.Count == 0)
                return null;
            return functions[functions.Count - 1];
        }

        private System.Collections.Generic.List<uint> functions;
    }
}
